Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1410128 - [3.4] http traffic failures when accessing pod from outside of the cluster
Summary: [3.4] http traffic failures when accessing pod from outside of the cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.3.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.4.z
Assignee: Ben Bennett
QA Contact: Meng Bo
URL:
Whiteboard:
Depends On: 1400609
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 14:28 UTC by Scott Dodson
Modified: 2017-01-31 20:19 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The IP addresses for a node were not sorted. Consequence: When the first is chosen, it may be different from the last one used, so the IP address would appear to have changed. OpenShift would update the node -> IP mapping and that causes problems with everything moving from one interface to another. Fix: Sort the addresses. Result: The traffic flows correctly and the addresses don't change.
Clone Of: 1400609
: 1438402 (view as bug list)
Environment:
Last Closed: 2017-01-31 20:19:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ose pull 529 0 None None None 2017-01-05 14:42:19 UTC
Red Hat Product Errata RHBA-2017:0218 0 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.4.1.2 bug fix update 2017-02-01 01:18:20 UTC

Comment 3 Meng Bo 2017-01-22 09:49:11 UTC
Tested with OCP build 3.4.1.0

Issue has been fixed.
No IP flip-flop in master log, and the route can be accessed without 503.

Comment 5 errata-xmlrpc 2017-01-31 20:19:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0218


Note You need to log in before you can comment on or make changes to this bug.